<?php

namespace App\Classes\Modules\Currencies\Standards\Rules;

use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Modules\Currencies\DataTransferObjects\CurrencyObject;

class CanListCurrency extends AbstractRule
{
    /**
     * @return bool
     */
    protected function authorized(): bool
    {
        // TODO  Set Authorization rules

        return true;

    }

    /**
     * @param CurrencyObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;

    }


    /**
     * @param CurrencyObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }

}